package com.plannaplan.types;

/**
 *  GroupType contains types: LECTURE, CLASS, LAB, SEMINAR, CONSERVATORY, PRATICE
 */

public enum GroupType {
    LECTURE("Wykład"), CLASS("Ćwiczenia"), LAB("Laboratorium"), SEMINAR("Seminarium"),CONSERVATORY("Konwersatorium"), PRATICE("Praktyka");

    public final String type;
    private GroupType(String type) {
        this.type = type;
    }

    public final static GroupType getType(String type) {
        for (GroupType d : values()) {
            if (d.type.equals(type)) {
                return d;
            }
        }
        return null;        
    }
}